#### D.14.2.4 boolean_poly

Procedure from library `polybori.lib` (see polybori_lib).

Usage:
  boolean_poly(ps[, dir, rb]); ps polynomial, dir integer zero or one, rb boolean ring

Return:
  default: polynomial ps in the representation of the boolean ring rb==boolean_poly_ring(basering); optional input: boolean ring rb

Note:
  via the optional input dir, one can choose the computation method (either direct[dir==0] or recursive[dir==1]). default: recursive

Example:

    LIB "polybori.lib";
    ==> // ** args must be 1 in     system("install", "bideal",   "ideal",    bid\
       eal2ideal, 4);
    ring r=0,x(1..5),Dp;
    poly f=x(2)*(x(3)-x(1))+x(4)*x(5);
    bring rb=r;
    boolean_poly(f);
    ==> x(1)*x(2) + x(2)*x(3) + x(4)*x(5)
    boolean_poly(f,0);
    ==> x(1)*x(2) + x(2)*x(3) + x(4)*x(5)
    boolean_poly(f,0,boolean_poly_ring(r));
    ==> x(1)*x(2) + x(2)*x(3) + x(4)*x(5)
    boolean_poly(f,0,rb);
    ==> x(1)*x(2) + x(2)*x(3) + x(4)*x(5)
    poly g=0;
    boolean_poly(g);
    ==> 0
    poly g=1;
    ==> // ** redefining g **
    boolean_poly(g);
    ==> 1

See also: boolean_ideal; boolean_std.

User manual for Singular version 4-0-3, 2016, generated by texi2html.